Subject: bug#38165: 12.2.0; Syntax highlighting broken when there are too many characters in equation/align environment

From: Arash Esbati <[email-masked]>
Date: Tue, 12 Nov 2019 21:08:40 +0100

Hi Ruiyang,

Ruiyang Wu <[email-masked]> writes:

> The problem can be reproduced with the `test.tex' file attached below. When
> I tried to add more characters to the `align' environment in `test.tex',
> the syntax highlighting becomes extremely unstable, switching between math
> and plain text highlighting.

I can't reproduce what you describe.  Your file looks like this for me
where adding additional characters is no problem:

> Emacs  : GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
>  of 2019-08-29

I'm using Emacs 27 pretest.  Maybe you can try it as well and see if the
issue persists.  You can fetch it from here:

    https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/

Best, Arash